petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPGetPCSide

Gets the preconditioning side.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetPCSide(KSP ksp,PCSide *side)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameter

side -the preconditioning side, where side is one of

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning
          PC_SYMMETRIC - symmetric preconditioning

### See Also

KSPSetPCSide(), KSP

### Level

intermediate

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages